#ifndef STA_SENSORS_MS5607_HPP
#define STA_SENSORS_MS5607_HPP

#include<sta/spi/device.hpp>

namespace sta {
    class MS5607 {
    public:
        enum OsrLevel {
            _256 = 0,
            _512 = 1,
            _1024 = 2,
            _2048 = 3,
            _4096 = 4
        };

    private:
        SpiDevice* device_;

        uint16_t sens, off, tcs, tco, t_ref, tempsens;
        
        enum Operations {
            RESET = 0x1E,
            READ_PROM = 0xA0,
            D1_CONVERSION = 0x40,
            D2_CONVERSION = 0x50,
            ADC_RESULT = 0x00
        };

    };

}

#endif // ifndef STA_SENSORS_MS5607_HPP